View Issue Details

IDProjectCategoryView StatusLast Update
0015212ScribusInternalpublic2019-06-04 20:56
Reporterale Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.5.4.svn 
Target VersionFixed in Version1.5.4.svn 
Summary0015212: AlignObjs should contain a PageItem*, not a QList<PageItem*>
Descriptionwhile refactoring the swapLeft function, i was wondering what's in AObjects.

i've found an Objects in there which makes the code even more complicated to understand.

i've digged further and found that it's a list of AlignObjs containing a list of PageItem:

https://github.com/scribusproject/scribus/blob/master/scribus/scribusstructs.h#L305

my research showed that AObjects is (probably) only filled in buildAlignItemList()

https://github.com/scribusproject/scribus/blob/master/scribus/scribusdoc.cpp#L12102

the code is not as straight forward as it could be, but from my understanding, it's really putting only one PageItem in item in AObjects.

i've created a gist, with a trimmed down version of buildAlignItemList():

https://gist.github.com/aoloe/1b928acf6356576209196b30f90c2c03

please have a look at it and see if i'm right or not.

if my suppositions are correct, we can simplify a bit the code...
TagsNo tags attached.
PatchNo

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2018-03-21 14:57 ale New Issue
2018-03-21 16:55 jghali Category - => Internal
2018-03-23 12:27 jghali Assigned To => jghali
2018-03-23 12:27 jghali Status new => resolved
2018-03-23 12:27 jghali Resolution open => fixed
2018-03-23 12:27 jghali Fixed in Version => 1.5.4.svn
2019-06-04 20:56 cbradney Status resolved => closed